Summary:	A generic touchscreen calibration program for X.Org
Name:		xinput_calibrator
Version:	0.7.5
Release:	%mkrel 12
Url:		https://www.freedesktop.org/wiki/Software/xinput_calibrator
Source0:	https://github.com/downloads/tias/xinput_calibrator/%{name}-%{version}.tar.gz
# code it MIT, xinput_calibrator.svg is CC-BY-SA
License:	MIT and CC-BY-SA
Group:		System/X11
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	gtkmm2.4-devel
BuildRequires:	imagemagick

%description
xinput_calibrator is created to fill the gap of touchscreen calibration
software, featuring:
   o works for any standard Xorg touchscreen driver (uses XInput protocol)
   o mis-click detection (prevents bogus calibration)
   o dynamically recalibrates the evdev driver
   o outputs the calibration as xorg.conf.d snippet or HAL policy file
   o and more

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

export CXXFLAGS="%{optflags} -std=gnu++11"
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
for i in 16 32 48;do
    convert -scale "$i"x"$i" scripts/%{name}.xpm %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/"$i"x"$i".png
done

%files
%doc Changelog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/%{name}.*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.7.5-12.mga10
+ Revision: 2213131
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.7.5-11.mga9
+ Revision: 1836633
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.7.5-10.mga8
+ Revision: 1518809
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.5-9.mga7
+ Revision: 1301915
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 wally <wally> 0.7.5-8.mga7
+ Revision: 1246932
- fix build on aarch64
  - run autoreconf

* Wed Feb 17 2016 umeabot <umeabot> 0.7.5-7.mga6
+ Revision: 963624
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 daviddavid <daviddavid> 0.7.5-6.mga6
+ Revision: 896423
- compile C++ code with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 0.7.5-5.mga5
+ Revision: 739435
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.5-4.mga5
+ Revision: 690671
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.5-3.mga4
+ Revision: 520628
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7.5-2.mga3
+ Revision: 387060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 02 2011 ahmad <ahmad> 0.7.5-1.mga2
+ Revision: 117396
- imported package xinput_calibrator

